summaryrefslogtreecommitdiffstats
path: root/debian/tests/nosetests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:08:07 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:08:07 +0000
commitd43c39132dfcb97f8ad0e6c4830d8dd4334c6380 (patch)
tree4ce258fe97564cfc903499fa487401dcc451ce85 /debian/tests/nosetests
parentAdding upstream version 5.20230130+deb12u1. (diff)
downloaddh-python-debian/5.20230130+deb12u1.tar.xz
dh-python-debian/5.20230130+deb12u1.zip
Adding debian version 5.20230130+deb12u1.debian/5.20230130+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/nosetests')
-rwxr-xr-xdebian/tests/nosetests13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/nosetests b/debian/tests/nosetests
new file mode 100755
index 0000000..9d858b8
--- /dev/null
+++ b/debian/tests/nosetests
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -eu
+
+cp -r tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+for py in $(py3versions -s); do
+ $py -m nose2 --verbose --plugin nose2.plugins.doctests --with-doctest \
+ --start-dir /usr/share/dh-python/dhpython
+
+ PYTHONPATH=/usr/share/dh-python $py -m nose2 -v tests
+done